# Quotez - Coding Quotes

:speech_balloon: This project is a Random Programming Quotes app made with [Programming Quotes API]. Get random
programming quotes from an online database and save them locally on your phone or share them with your friends!

## Screenshots

<p>
  <img src="https://github.com/Ashhas/Quotez/blob/master/screenshots/Screenshot_20220508-002742.jpeg" width="225">
  <img src="https://github.com/Ashhas/Quotez/blob/master/screenshots/Screenshot_20211105-151418.jpg" width="225"> 
  <img src="https://github.com/Ashhas/Quotez/blob/master/screenshots/Screenshot_20211105-151958.jpg" width="225">
 </p>

## Download

The Android version can be downloaded in [Releases]. The IOS version can be launched by building the app

## Features ✔️

* Fetch a random programming quote
* Save quotes locally
* View all your saved quotes in a list
* Share your quotes through social-media

## Made With 🛠

- [bloc](https://pub.dev/packages/bloc) - State management library for BLoC design pattern
- [flutter_bloc](https://pub.dev/packages/flutter_bloc) - Widgets that make it easy to integrate blocs and cubits
- [dio](https://pub.dev/packages/dio) - Http client for Dart
- [hive](https://pub.dev/packages/hive) - A No-SQL, key-value based database
- [hive_flutter](https://pub.dev/packages/hive_flutter) - Hive extension to make using Hive easier
- [equatable](https://pub.dev/packages/equatable) - Implement value based equality
- [share_plus](https://pub.dev/packages/intl) - Sharing packages that work for both platforms
- [intl](https://pub.dev/packages/intl) - Formatting dates
- [shimmer_animation](https://pub.dev/packages/shimmer_animation) - Package to easily implement a shimmer animation
- [connectivity_plus](https://pub.dev/packages/connectivity_plus) - See network connectivity changes (WiFi vs Cellular
  vs None)
- [open_mail_app](https://pub.dev/packages/open_mail_app) - This library provides the ability to query the device for
  installed email apps and open those apps.
- [url_launcher](https://pub.dev/packages/url_launcher) - A Flutter plugin for launching a URL.
- [package_info_plus](https://pub.dev/packages/package_info_plus) - This Flutter plugin provides an API for querying
  information about an application package
- [import_sorter](https://pub.dev/packages/import_sorter) - Dart package to automatically organize your dart imports
- [mocktail](https://pub.dev/packages/mocktail) - Mock library for Dart
- [sliding_up_panel](https://pub.dev/packages/sliding_up_panel) - A draggable Flutter widget that makes implementing a
  SlidingUpPanel easier

## How to Build 📱

No API keys needed. After opening the project, do the following commands to build:

- `flutter clean`
- `flutter pub get`

Then to finally run the project:

- `flutter run`

## Development Environment

```
D:\-------\-------\Quotez>flutter doctor
Doctor summary (to see all details, run flutter doctor -v):
[✓] Flutter (Channel stable, 2.10.2, on macOS 12.1 21C52 darwin-arm, locale en-NL)
[✓] Android toolchain - develop for Android devices (Android SDK version 32.0.0)
[✓] Xcode - develop for iOS and macOS (Xcode 13.2.1)
[✓] Android Studio (version 2021.1)
[√] IntelliJ IDEA Community Edition (version 2021.3)
[✓] Connected device (3 available)
[✓] HTTP Host Availability

• No issues found!
```

[Programming Quotes API]:http://quotes.stormconsultancy.co.uk/api

[Releases]:https://github.com/Ashhas/Quotez/releases
