/// [AppDimens] contains all spacing and size variables used in the application.
abstract class AppDimens {
  static const double panelHeightPercentage = 0.55;

  // Icon sizes.
  static const double iconSizeM = 25;
  static const double iconSizeXL = 35;

  // Border Radius.
  static const double borderRadiusS = 5;
  static const double borderRadiusM = 12;
  static const double borderRadiusXL = 18;

  // Size Unit.
  static const double sizeUnitS = 5;
  static const double sizeUnitM = 30;

  // Size Unit Percentage.
  static const double sizeUnitPercentageS = 0.1;
  static const double sizeUnitPercentageM = 0.06;

  // Padding.
  static const double paddingS = 5;
  static const double paddingM = 10;
  static const double paddingL = 15;
  static const double paddingXL = 30;

  // Padding Percentage.
  static const double paddingPercentageXS = 0.04;
  static const double paddingPercentageS = 0.05;
  static const double paddingPercentageM = 0.1;

  // Button Size.
  static const double buttonSizeXL = 80;

  // Shimmer.
  static const double shimmerHeight = 20;
  static const double shimmerWidthM = 100;
  static const double shimmerWidthL = 300;

  // Animation Values.
  static const double beginTween = 0.5;
  static const double endTween = 0.0;
}
